package com.huigou.topsun.ep.change.application;

import com.huigou.topsun.ep.change.domain.EpChangeForm;
import com.huigou.topsun.ep.change.domain.query.EpChangeFormQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/10:05
 * @Description:
 */
public interface EpChangeFormApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/ep/change/epChangeForm.xml";

    String PROCESS_DEFINITION_KEY = "epChangeFormProc";

    EpChangeForm findEpChangeFormById(String id);

    EpChangeForm saveEpChangeForm(EpChangeForm epChangeForm);

    Map<String, Object> slicedEpChangeFormList(EpChangeFormQueryRequest queryRequest);

    List<Map<String,Object>> queryApprovalPersons(String bizId);
}
